#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"
#include <curl/curl.h>


using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data(istream& in1, bool prompt) {
    size_t number_count;
    if (prompt) {
    cerr << "Enter number count: ";
    }
    in1 >> number_count;

    Input in;

    in.numbers.resize(number_count);

    for (size_t i = 0; i < number_count; i++)
    {
        in1 >> in.numbers[i];
    }
    if (prompt) {
    cerr << "Enter number bin: ";
    }
    in1 >> in.bin_count;

    return in;
}



int main(int argc, char* argv[])
{
    curl_global_init(CURL_GLOBAL_ALL);
    if (argc > 1)
    {
        CURL* curl = curl_easy_init();
        if(curl)
        {
            CURLcode res;
            curl_easy_setopt(curl, CURLOPT_URL, argv[1]);
            res = curl_easy_perform(curl);
            curl_easy_cleanup(curl);
        }
    }
    bool prompt = true;
    auto in = input_data(cin, prompt);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_text(bins, in.bin_count);
    //show_histogram_svg(bins);
    return 0;
}
